Subject: Re: perl 5.8.0 and spamassasin
From: Ajay Simha <[email-masked]>
To: David Rothenberger <[email-masked]>
Cc: Ajay Simha <[email-masked]>, [email-masked]
Date: Sun, 8 Jun 2003 01:43:59 -0400

On Sat Jun 07 22:05:57 2003, David Rothenberger wrote:
> Ajay Simha wrote:
> > 
> > Hi,
> > 
> > With Perl 5.8.0 and SpamAssassin-2.55 I get:
> > 
> > BEGIN failed--compilation aborted at /usr/lib/perl5/site_perl/5.8.0/Mail/SpamAssassin.pm line 62.
> > Compilation failed in require at /bin/spamassassin line 69.
> > procmail: Program failure (70) of "spamassassin"
> > procmail: Rescue of unfiltered data succeeded
> > >From asimha  Sat Jun  7 21:48:16 2003
> >  Subject: msg again
> >   Folder: /var/spool/mail/asimha
> > 
> > anyone have any clues how to fix this?
> 
> 
> Well, line 62 of /usr/lib/perl5/site_perl/5.8.0/Mail/SpamAssassin.pm is

I tracked it down - it needed HTML:Parser and HTML:Tag... stuff.
This took care of the above mentioned problem.

I ran into another problem where I'd see errors in the procmail log complaining
about not being able to open .spamassassin files. I was able to get around
this one by deleting it and having spamassassin create a new .spamassassin
dir for me by rerunning 'make test' and then re-installing. My guess is
this is a problem only if you already had installed it earlier.

Thanks to all who replied.

-ajay
> 
> 	require Mail::SpamAssassin:::PerMsgStatus;
> 
> Perhaps you don't have a full or complete installation of
> spamassassin?   Maybe try reinstalling it?
> 
> 
> > I did read something about "putting PERLIO=perlio in the environment for SA"
> 
> The latest perl package (5.8.0-3) defaults to PERLIO=stdio, which should
> be good enough.  I don't use SA myself under Cygwin, so I haven't tried
> it, but I don't think you need to set PERLIO for SA to work anymore.  
> 
> > but I'm not sure if that applies to my problem 
> 
> I don't think the error message above has nothing to do with the PERLIO
> env var setting.
> 
> David

"From listening comes wisdom and from speaking repentance."

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/